import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Job } from "../../../sdk";
import { FireEnjinFetchEvent } from "@fireenjin/sdk";
export declare class AppUser implements ComponentInterface {
  api: any;
  actionOptions: any;
  floodteamOpenModal: EventEmitter;
  floodteamCloseModal: EventEmitter;
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  userId: string;
  user: Partial<any>;
  query: string;
  paginationEl: any;
  jobs: Job[];
  onSuccess(event: any): Promise<void>;
  presentToast(): Promise<void>;
  render(): any[];
}
